Package org.apache.qpid.proton.codec

# Class ShortType

java.lang.Object
org.apache.qpid.proton.codec.ShortType

All Implemented Interfaces:
  `AMQPType<Short>`, `PrimitiveType<Short>`

public class ShortType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`ShortType.ShortEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<ShortType.ShortEncoding>`
`getAllEncodings()`
`ShortType.ShortEncoding`
`getCanonicalEncoding()`
`ShortType.ShortEncoding`
`getEncoding(Short val)`
`Class<Short>`
`getTypeClass()`
`void`
`write(short s)`
`final void`
`write(Short val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Short> getTypeClass()

### getEncoding

public ShortType.ShortEncoding getEncoding(Short val)

### write

public void write(short s)

### getCanonicalEncoding

public ShortType.ShortEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<ShortType.ShortEncoding> getAllEncodings()

### write

public final void write(Short val)

Specified by:
  `write` in interface `AMQPType<T>`